import { GET, POST, PUT, DELETE } from "./http";
import type { VqdTaskBaseRes, VqdTaskRes, CreateVqdTaskReq, UpdateVqdTaskReq, VqdTaskDetailRes, VqdTaskReq } from "../types/vqdtask";

/**
 * 获取列表
 * @returns 列表
 */
export async function GetVqdTask(data: VqdTaskReq) {
  return await GET<VqdTaskRes>(`/task`, data);
}

/**
 * 创建
 * @param data 创建参数
 */
export async function CreateVqdTask(data: CreateVqdTaskReq) {
  return await POST<VqdTaskBaseRes>(`/task`, data);
}

/**
 * 获取详情
 * @param id ID
 */
export async function GetVqdTaskById(id: string) {
  return await GET<VqdTaskDetailRes>(`/task/${id}`);
}

/**
 * 更新
 * @param data 更新参数（需包含 id）
 */
export async function UpdateVqdTask(data: UpdateVqdTaskReq) {
  const { id, ...payload } = data;
  return await PUT<VqdTaskBaseRes>(`/task/${id}`, payload);
}

/**
 * 删除
 * @param id ID
 */
export async function DeleteVqdTask(id: number) {
  return await DELETE<VqdTaskBaseRes>(`/task/${id}`);
}
